
CREATE VIEW VIEWFTFAMITEMCLI (EMPRESA, FAMILIA, DESCFAMILIA, TIPOEMPRESA, CODIGOEMPRESA, COD_ITEM, DESCITEM, REVISAO, EMISSAO, MOEDA, QUANTIDADE, VALOR ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       VNDADFIT.ADFIT_FAM_VENDA, 
       GRLAFAVE.AFAVE_DESCRICAO,
       VNDANFCD.ANFCD_TIPO_EMPR,
       VNDANFCD.ANFCD_CLIENTE,
       VNDANFLN.ANFLN_PRODUTO, 
       ENGAITCD.AITCD_DESCRICAO,
       VNDANFLN.ANFLN_REVISAO,
       VNDANFCD.ANFCD_DATA_EMISSAO,
       GRLAPCST.MOEDA_CUSTO1,
       SUM(VNDANFLN.ANFLN_QTD_ENTR),
       SUM(ANFLN_VALOR_LINHA)
 FROM VNDANFCD, VNDANFLN, ENGAITCD, VNDADFIT, GRLAFAVE, GRLAPCST 
WHERE VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
      VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
      GRLAPCST.EMPRESA  = VNDANFCD.ANFCD_EMPRESA AND
      GRLAPCST.UNIDADE  = VNDANFCD.ANFCD_UNIDADE AND
      VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
      VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
      VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
      VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA  AND
      VNDANFLN.ANFLN_PRODUTO   = VNDADFIT.ADFIT_COD_ITEM  AND
      VNDADFIT.ADFIT_COD_ITEM  = ENGAITCD.AITCD_COD_ITEM  AND
      VNDADFIT.ADFIT_FAM_VENDA = GRLAFAVE.AFAVE_CODIGO    
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         VNDADFIT.ADFIT_FAM_VENDA, 
         GRLAFAVE.AFAVE_DESCRICAO,
         VNDANFCD.ANFCD_TIPO_EMPR,
         VNDANFCD.ANFCD_CLIENTE,
         VNDANFLN.ANFLN_PRODUTO,
         ENGAITCD.AITCD_DESCRICAO, 
         VNDANFLN.ANFLN_REVISAO,
         VNDANFCD.ANFCD_DATA_EMISSAO,
         GRLAPCST.MOEDA_CUSTO1;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'FATURAMENTO EFETUADO POR EMISSAO/FAMILIA DE VENDAS/ITEM/CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTFAMITEMCLI';
